package client;

import java.rmi.*;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;

import compute.*;

public class Client {
	public static void main(String args[]) {
		if (System.getSecurityManager() == null)
			System.setSecurityManager(new RMISecurityManager());
		try {
			// vyhledani vzdaleneho objektu
			MathServer mth;
			String name = "MathD";
			//String name = "MathD2";
			Registry registry = LocateRegistry.getRegistry("localhost", 2010);//localhost    , 147.32.82.231
			mth = (MathServer) registry.lookup(name); 
			//definice vstupnich promennych
			int a = Integer.valueOf(args[0]).intValue();
			int b = Integer.valueOf(args[1]).intValue();
			int x[]={1,5,6};
			/*int x[] = new int[2];
			int x[0] = 1;
			int x[1] = 2;*/
			// vypis vysledku
			System.out.println("Client: " + a + " + " + b + " = " + mth.sectiN("string", a, b));
			System.out.println("Client: Seèti pole" + mth.sectiPole(name, x));
			System.out.println("Client: " + a + " / " + b + " = " + mth.deleni(a, b));
		}
		catch (Exception e) {
			// neco je spatne :(
			System.err.println("Data exception: " + e.getMessage());
		}
	}
}